- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionTabBarBaseV2 Class Reference

Search for all occurrences

## Detailed Description

Definition at line 235 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionTabBarBaseV2:
[legend]

List of all members.

## Public Types
enum | StyleOptionVersion { Version = 2 }
## Public Member Functions
| QStyleOptionTabBarBaseV2 ()
| QStyleOptionTabBarBaseV2 (const QStyleOptionTabBarBaseV2 &other)
| QStyleOptionTabBarBaseV2 (const QStyleOptionTabBarBase &other)
QStyleOptionTabBarBaseV2 & | operator= (const QStyleOptionTabBarBase &other)
## Public Attributes
bool | documentMode
## Protected Member Functions
| QStyleOptionTabBarBaseV2 (int version)

## Member Enumeration Documentation

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOptionTabBarBase.

Definition at line 238 of file qstyleoption.h.

    { Version = 2 };

## Constructor & Destructor Documentation

QStyleOptionTabBarBaseV2 | ( |  | ) |

QStyleOptionTabBarBaseV2 | ( | const QStyleOptionTabBarBaseV2 & | other | ) | `[inline]`

Definition at line 241 of file qstyleoption.h.

    : QStyleOptionTabBarBase(Version) { *this = other; }

QStyleOptionTabBarBaseV2 | ( | const QStyleOptionTabBarBase & | other | ) |

QStyleOptionTabBarBaseV2 | ( | int | version | ) | `[protected]`

## Member Function Documentation

QStyleOptionTabBarBaseV2& operator= | ( | const QStyleOptionTabBarBase & | other | ) |

## Member Data Documentation

bool documentMode

Search for all occurrences

Definition at line 239 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionTabBarBaseV2 QStyleOptionTabBarBaseV2 QStyleOptionTabBarBaseV2 QStyleOptionTabBarBaseV2 QStyleOptionTabBarBaseV2 QStyleOptionTabBarBaseV2 QStyleOptionTabBarBaseV2 QStyleOptionTabBarBaseV2 QStyleOptionTabBarBaseV2 QStyleOptionTabBarBaseV2
QStyleOptionTabBarBaseV2 QStyleOptionTabBarBaseV2 QStyleOptionTabBarBaseV2 QStyleOptionTabBarBaseV2 QStyleOptionTabBarBaseV2 QStyleOptionTabBarBaseV2 QStyleOptionTabBarBaseV2 QStyleOptionTabBarBaseV2 QStyleOptionTabBarBaseV2 QStyleOptionTabBarBaseV2